Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.text
Class XmlWritable

Field Summary
`String` | `DEFAULT_INDENTATION`
`Binding` | `binding`
`GroovyShell` | `groovyShell`
`String` | `indentation`
`WeakReference` | `result`
`Script` | `script`
`XmlParser` | `xmlParser`

Constructor Summary
`XmlWritable(Script script, Binding binding)`

Method Summary
`def` | `XmlTemplateEngine()`
`def` | `XmlTemplateEngine(String indentation, boolean validating)`
`def` | `XmlTemplateEngine(XmlParser xmlParser, ClassLoader parentLoader)`
`def` | `XmlTemplateEngine(XmlParser xmlParser, GroovyShell groovyShell)`
`Template` | `createTemplate(Reader reader)`
`String` | `getIndentation()`
`void` | `setIndentation(String indentation)`
`String` | `toString()`
`String` | `toString()`
`Writer` | `writeTo(Writer out)`

Constructor Detail

### XmlWritable

    public XmlWritable(Script script, Binding binding)

Method Detail

### XmlTemplateEngine

    public def XmlTemplateEngine()

### XmlTemplateEngine

    public def XmlTemplateEngine(String indentation, boolean validating)

### XmlTemplateEngine

    public def XmlTemplateEngine(XmlParser xmlParser, ClassLoader parentLoader)

### XmlTemplateEngine

    public def XmlTemplateEngine(XmlParser xmlParser, GroovyShell groovyShell)

### createTemplate

    public Template createTemplate(Reader reader)

### getIndentation

    public String getIndentation()

### setIndentation

    public void setIndentation(String indentation)

### toString

    public String toString()

### toString

    public String toString()

### writeTo

    public Writer writeTo(Writer out)